<?php

add_action( 'admin_menu', 'dropshipping_store_gettingstarted' );
function dropshipping_store_gettingstarted() {    	
	add_theme_page( esc_html__('About Theme', 'dropshipping-store'), esc_html__('About Theme', 'dropshipping-store'), 'edit_theme_options', 'dropshipping-store-guide-page', 'dropshipping_store_guide');   
}

function dropshipping_store_admin_theme_style() {
   wp_enqueue_style('dropshipping-store-custom-admin-style', esc_url(get_template_directory_uri()) . '/inc/dashboard/get_started_info.css');
}
add_action('admin_enqueue_scripts', 'dropshipping_store_admin_theme_style');

function dropshipping_store_notice(){
    global $pagenow;
    if ( is_admin() && ('themes.php' == $pagenow) && isset( $_GET['activated'] ) ) {?>
    <div class="notice notice-success is-dismissible getting_started">
		<div class="notice-content">
			<h2><?php esc_html_e( 'Thanks for installing Dropshipping Store, you rock!', 'dropshipping-store' ) ?> </h2>
			<p><?php esc_html_e( 'Take benefit of a variety of features, functionalities, elements, and an exclusive set of customization options to build your own professional Dropshipping website. Please Click on the link below to know the theme setup information.', 'dropshipping-store' ) ?></p>
			<p><a href="<?php echo esc_url( admin_url( 'themes.php?page=dropshipping-store-guide-page' ) ); ?>" class="button button-primary"><?php esc_html_e( 'Getting Started', 'dropshipping-store' ); ?></a></p>
		</div>
	</div>
	<?php }
}
add_action('admin_notices', 'dropshipping_store_notice');

/**
 * Theme Info Page
 */
function dropshipping_store_guide() {

	// Theme info
	$return = add_query_arg( array()) ;
	$theme = wp_get_theme( 'dropshipping-store' ); ?>

	<div class="wrap getting-started">
		<div class="getting-started__header">
			<div class="row">
				<div class="col-md-5 intro">
					<div class="pad-box">
						<h2><?php esc_html_e( 'Welcome to Dropshipping Store', 'dropshipping-store' ); ?></h2>
						<p>Version: <?php echo esc_html($theme['Version']);?></p>
						<span class="intro__version"><?php esc_html_e( 'Congratulations! You are about to use the most easy to use and flexible WordPress theme.', 'dropshipping-store' ); ?>	
						</span>
						<div class="powered-by">
							<p><strong><?php esc_html_e( 'Theme created by Buy WP Templates', 'dropshipping-store' ); ?></strong></p>
							<p>
								<img class="logo" src="<?php echo esc_url(get_template_directory_uri() . '/inc/dashboard/media/theme-logo.png'); ?>"/>
							</p>
						</div>
					</div>
				</div>
				<div class="col-md-7">
					<div class="pro-links">
				    	<a href="<?php echo esc_url( DROPSHIPPING_STORE_LIVE_DEMO ); ?>" target="_blank"><?php esc_html_e('Live Demo', 'dropshipping-store'); ?></a>
						<a href="<?php echo esc_url( DROPSHIPPING_STORE_BUY_PRO ); ?>" target="_blank"><?php esc_html_e('Buy Pro', 'dropshipping-store'); ?></a>
						<a href="<?php echo esc_url( DROPSHIPPING_STORE_PRO_DOC ); ?>" target="_blank"><?php esc_html_e('Pro Documentation', 'dropshipping-store'); ?></a>
					</div>
					<div class="install-plugins">
						<img src="<?php echo esc_url(get_template_directory_uri() . '/inc/dashboard/media/responsive1.png'); ?>" alt="" />
					</div>
				</div>
			</div>
			<h2 class="tg-docs-section intruction-title" id="section-4"><?php esc_html_e( '1). Setup Dropshipping Store Theme', 'dropshipping-store' ); ?></h2>
			<div class="row">
				<div class="theme-instruction-block col-md-7">
					<div class="pad-box">
	                    <p><?php esc_html_e( 'Dropshipping Store is a clean and user-friendly WordPress theme that serves as a multipurpose theme for creating websites associated with daily offers, coupons, gift cards, affiliate sites, and also for eCommerce stores. It comes with a beautiful layout and a sleek and professionally built design giving you distinguished and professional websites. There is a ready-to-use design with some stunning animated effects adding more visual appeal to your website. Being a free theme, it doesn’t compromise with the responsive part and brings a retina-ready and responsive design so that your website does not face any resizing issues and looks fantastic on every device. With personalization options at your disposal, you can quickly transform the look and feel of your website and make it your own complementing your business the best way. You will see the wonderful banner and many other sections showing the various offers and affiliate coupons. The Testimonial section and Team section will give a sense of reliability to your audience. The codes included in the core are SEO friendly allowing your website to appear in the top search engine results. Also, these optimized codes will give a faster page load time. With many Call to Action Button (CTA) included, you will definitely witness growth in your conversion rates. ', 'dropshipping-store' ); ?><p><br>
						<ol>
							<li><?php esc_html_e( 'Start','dropshipping-store'); ?> <a target="_blank" href="<?php echo esc_url( admin_url('customize.php') ); ?>"><?php esc_html_e( 'Customizing','dropshipping-store'); ?></a> <?php esc_html_e( 'your website.','dropshipping-store'); ?> </li>
							<li><?php esc_html_e( 'Dropshipping Store','dropshipping-store'); ?> <a target="_blank" href="<?php echo esc_url( DROPSHIPPING_STORE_FREE_DOC ); ?>"><?php esc_html_e( 'Documentation','dropshipping-store'); ?></a> </li>
						</ol>
                    </div>
              	</div>
				<div class="col-md-5">
					<div class="pad-box">
              			<img class="logo" src="<?php echo esc_url(get_template_directory_uri() . '/inc/dashboard/media/screenshot.png'); ?>"/>
              		 </div> 
              	</div>
            </div>
			<div class="col-md-12 text-block">
					<h2 class="dashboard-install-title"><?php esc_html_e( '2.) Premium Theme Information.','dropshipping-store'); ?></h2>
					<div class="row">
						<div class="col-md-7">
							<img src="<?php echo esc_url(get_template_directory_uri() . '/inc/dashboard/media/responsive.png'); ?>" alt="">
							<div class="pad-box">
								<h3><?php esc_html_e( 'Pro Theme Description','dropshipping-store'); ?></h3>
	                    		<p class="pad-box-p"><?php esc_html_e( 'Dropshipping businesses are seeing huge growth and in order to make your business scale new heights, we have this Dropshipping Store WordPress Theme. As the evolution of eCommerce has led to the evolution of such businesses, you will see many top-notch WordPress themes supporting Woocommerce coming to the market. However, this theme is specifically created for dropshipping business websites so that such businesses can see their growth and flourish online. Such websites need a strong store management system and considering these needs, our developers have designed such a theme that perfectly complements this business. Unappealing websites with slow loading pages don’t stand in the competition and visitors leave such sites immediately if your pages don’t load within a second or two. So our developers have pushed themselves to bring a visually appealing design in the form of this Dropshipping Store WordPress Theme that looks unique and consists of highly optimized codes. These codes result in a streamlined and lightweight design that delivers fast-loading pages. Its Woocommerce compatibility makes setting up an online store a piece of cake. With this, selling the products online is no more a herculean task for you.', 'dropshipping-store' ); ?><p>
	                    	</div>
						</div>
						<div class="col-md-5 install-plugin-right">
							<div class="pad-box">								
								<h3><?php esc_html_e( 'Pro Theme Features','dropshipping-store'); ?></h3>
								<div class="dashboard-install-benefit">
									<ul>
										<li><?php esc_html_e( 'Car listing Shortcode with category','dropshipping-store'); ?></li>
										<li><?php esc_html_e( 'Car listing Shortcode','dropshipping-store'); ?></li>
										<li><?php esc_html_e( 'Multiple image feature for each property with slider.','dropshipping-store'); ?></li>
										<li><?php esc_html_e( 'Brand Listing Section','dropshipping-store'); ?></li>
										<li><?php esc_html_e( 'Car Brand(categories) Option','dropshipping-store'); ?></li>
										<li><?php esc_html_e( 'Car Tags(categories) Option','dropshipping-store'); ?></li>
										<li><?php esc_html_e( 'Testimonial listing.','dropshipping-store'); ?></li>
										<li><?php esc_html_e( 'Testimonial shortcode.','dropshipping-store'); ?></li>
										<li><?php esc_html_e( 'Social icons widget.','dropshipping-store'); ?></li>
										<li><?php esc_html_e( 'Latest post with the image widget.','dropshipping-store'); ?></li>
										<li><?php esc_html_e( 'Live customize editor for the About US section.','dropshipping-store'); ?></li>
										<li><?php esc_html_e( 'Font Awesome integrated.','dropshipping-store'); ?></li>
										<li><?php esc_html_e( 'Advanced Color options and color pallets.','dropshipping-store'); ?></li>
										<li><?php esc_html_e( '100+ Font Family Options.','dropshipping-store'); ?></li>
										<li><?php esc_html_e( 'Enable-Disable options on All sections.','dropshipping-store'); ?></li>
										<li><?php esc_html_e( 'Well sanitized as per WordPress standards.','dropshipping-store'); ?></li>
										<li><?php esc_html_e( 'Allow to set site title, tagline, logo.','dropshipping-store'); ?></li>
										<li><?php esc_html_e( 'Sticky post & Comment threads.','dropshipping-store'); ?></li>
										<li><?php esc_html_e( 'Left and Right Sidebar.','dropshipping-store'); ?></li>
										<li><?php esc_html_e( 'Customizable Home Page.','dropshipping-store'); ?></li>
										<li><?php esc_html_e( 'Footer Widgets & Editor style','dropshipping-store'); ?></li>
										<li><?php esc_html_e( 'Gallery & Banner functionality','dropshipping-store'); ?></li>
										<li><?php esc_html_e( 'Multiple inner page templates','dropshipping-store'); ?></li>
										<li><?php esc_html_e( 'Full-width Template','dropshipping-store'); ?></li>
										<li><?php esc_html_e( 'Custom Menu, Colors Editor','dropshipping-store'); ?></li>
									</ul>
								</div>
							</div>
						</div>
				</div>
			</div>
		</div>
		<div class="dashboard__blocks">
			<div class="row">
				<div class="col-md-3">
					<h3><?php esc_html_e( 'Get Support','dropshipping-store'); ?></h3>
					<ol>
						<li><a target="_blank" href="<?php echo esc_url( DROPSHIPPING_STORE_FREE_SUPPORT ); ?>"><?php esc_html_e( 'Free Theme Support','dropshipping-store'); ?></a></li>
						<li><a target="_blank" href="<?php echo esc_url( DROPSHIPPING_STORE_PRO_SUPPORT ); ?>"><?php esc_html_e( 'Premium Theme Support','dropshipping-store'); ?></a></li>
					</ol>
				</div>

				<div class="col-md-3">
					<h3><?php esc_html_e( 'Getting Started','dropshipping-store'); ?></h3>
					<ol>
						<li><?php esc_html_e( 'Start','dropshipping-store'); ?> <a target="_blank" href="<?php echo esc_url( admin_url('customize.php') ); ?>"><?php esc_html_e( 'Customizing','dropshipping-store'); ?></a> <?php esc_html_e( 'your website.','dropshipping-store'); ?> </li>
					</ol>
				</div>
				<div class="col-md-3">
					<h3><?php esc_html_e( 'Help Docs','dropshipping-store'); ?></h3>
					<ol>
						<li><a target="_blank" href="<?php echo esc_url( DROPSHIPPING_STORE_FREE_DOC ); ?>"><?php esc_html_e( 'Free Theme Documentation','dropshipping-store'); ?></a></li>
						<li><a target="_blank" href="<?php echo esc_url( DROPSHIPPING_STORE_PRO_DOC ); ?>"><?php esc_html_e( 'Premium Theme Documentation','dropshipping-store'); ?></a></li>
					</ol>
				</div>
				<div class="col-md-3">
					<h3><?php esc_html_e( 'Buy Premium','dropshipping-store'); ?></h3>
					<ol>
						<a href="<?php echo esc_url( DROPSHIPPING_STORE_BUY_PRO ); ?>" target="_blank"><?php esc_html_e('Buy Pro', 'dropshipping-store'); ?></a>
					</ol>
				</div>
			</div>
		</div>
	</div>

<?php }?>